aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/jenkins/run_jenkins.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/jenkins/run_jenkins.sh')
-rwxr-xr-xtools/jenkins/run_jenkins.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tools/jenkins/run_jenkins.sh b/tools/jenkins/run_jenkins.sh
index af49ea0bd0..8cb85cb12b 100755
--- a/tools/jenkins/run_jenkins.sh
+++ b/tools/jenkins/run_jenkins.sh
@@ -31,12 +31,24 @@
# This script is invoked by Jenkins and triggers a test run based on
# env variable settings.
#
+# Setting up rvm environment BEFORE we set -ex.
+[[ -s /etc/profile.d/rvm.sh ]] && . /etc/profile.d/rvm.sh
# To prevent cygwin bash complaining about empty lines ending with \r
# we set the igncr option. The option doesn't exist on Linux, so we fallback
# to just 'set -ex' there.
# NOTE: No empty lines should appear in this file before igncr is set!
set -ex -o igncr || set -ex
+# Grabbing the machine's architecture
+arch=`uname -m`
+
+case $platform in
+ i386)
+ arch="i386"
+ platform="linux"
+ ;;
+esac
+
if [ "$platform" == "linux" ]
then
echo "building $language on Linux"
@@ -61,6 +73,7 @@ then
docker run \
-e "config=$config" \
-e "language=$language" \
+ -e "arch=$arch" \
-i \
-v "$git_root:/var/local/jenkins/grpc" \
--cidfile=docker.cid \